import { P as PairConfig } from './pair-config-1713abb7.js';
import { D as DvnAppViewConfig } from './view-config-2fc2ba10.js';

class TakvimAvailabilitySettingsViewConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(TakvimAvailabilitySettingsViewConfig.prototype), json);
    model.table = PairConfig.decode(model.table);
    return model;
  }
}

export { TakvimAvailabilitySettingsViewConfig as T };
